# QGraphicsEffect Class Reference

### [com.trolltech.qt.gui package]

Inherits QObject.

### Constructor

- void QGraphicsEffect(QObject parent)

### Constructor Properties

- prototype: The QGraphicsEffect prototype object
- NoPad
- PadToTransparentBorder
- PadToEffectiveBoundingRect
- PixmapPadMode( value )
- SourceAttached = 0x1
- SourceDetached = 0x2
- SourceBoundingRectChanged = 0x4
- SourceInvalidated = 0x8
- ChangeFlag( value )
- ChangeFlags( value1, value2, ... )

### Prototype Object Properties

The QGraphicsEffect prototype object inherits properties from the QObject prototype object and also has the following properties.

- QRectF boundingRect()
- QRectF boundingRectFor(QRectF sourceRect)
- QGraphicsEffectSource source()

### Instance Properties

QGraphicsEffect objects inherit properties from the QGraphicsEffect prototype object and also have the following properties.

- enabled